Data selection process

To select samples from easy to hard, we train linear regression (LR) model to measure its uncertainty to specific data samples.

## Download Data
You can visit Kaggle challenge to collect the [original dataset](https://www.kaggle.com/altruistdelhite04/loan-prediction-problem-dataset).

## linear regression model
To train model, we use following command:

```
python select samples.py
```

## Sample Selection Strategy
We get 12 samples in total, 6 positive decision cases (5 tasks and 1 example) and 6 negative devision cases (5 tasks and 1 example).

For every decision category, we try to select samples with varing confidence level:

Example case: Confident correct prediction of LR model.

Task cases include: 

+ top-1 confident correct prediction
+ medium-confident correct prediction
+ boarderline correct prediction
+ boarderline wrong prediction
+ least confident wrong pred

## Result files
lr\_reg\_pos\_ori\_log.txt: prediction over positive decision cases.

lr\_reg\_neg\_ori\_log.txt: prediction over negative decision cases.

weight\_ori\_log.txt: LR model's weight.

selected\_samples.csv: all samples selected from original dataset.
